at.chipkarte.client.fus.soap.constants

## Class FusExceptionConstants

- Object
- - at.chipkarte.client.fus.soap.constants.FusExceptionConstants

-     public class FusExceptionConstants
      extends Object

  Fehlerkonstanten für die FusException.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FORMULAR_KORREKTUR_NO_LONGER_POSSIBLE` Eine Korrektur des Formulars ist derzeit nicht möglich bzw. nicht mehr möglich.
    `static int` | `FORMULAR_KORREKTUR_SAVING_FAILED` Das Formular konnte nicht gespeichert werden.
    `static int` | `FORMULAR_SAVE_OR_READ_FAILED` Das Formular konnte nicht gespeichert/gelesen werden.
    `static int` | `FORMULAR_SAVING_FAILED` Das Formular konnte nicht gespeichert werden.
    `static int` | `FORMULARSTATUS_INVALID` Der Wert in Formularstatus ist ungültig.
    `static int` | `INTERNAL_ERROR` Es ist ein unerwarteter Fehler aufgetreten.
    `static int` | `KONSULTATION_INVALID` Die angegebene Konsultation ist nicht (mehr) gültig.
    `static int` | `KORREKTUR_MISSING_PROPER_RIGHT` Sie haben keine Berechtigung zur Korrektur dieses Formulars.
    `static int` | `KURATIVER_VERTRAG_FOUND_FOR_VPNR` Sie besitzen für das gewählte Formular passende kurative Zahnbehandler-Verträge.
    `static int` | `KVT_INVALID` Der angegebene KV-Träger unterstützt keine Erfassung von Formularen durch Wahlbehandler.
    `static int` | `MAX_RESULTS_EXCEEDED` Die Anzahl an gefundenen Formularen übersteigt die maximal zulässige Anzahl an Suchergebnissen.
    `static int` | `NO_ANSPRUCH_FOR_VERORDNUNGSTYP` Der Patient hat keinen für den Verordnungstyp relevanten KV-Anspruch.
    `static int` | `NO_ANSPRUCH_FOUND` Der Patient hat keinen im e-card System bekannten Versicherungsanspruch.
    `static int` | `NO_KONSULTATION_FOUND` Es konnte keine für das Formular passende Konsultation ermittelt werden.
    `static int` | `NO_MATCHING_FORMULAR_FOUND` Es konnte kein Formular zu den angegebenen Daten gefunden werden.
    `static int` | `NO_MATCHING_FORMULAR_FOUND1` Es konnte kein Formular zu den angegebenen Daten gefunden werden.
    `static int` | `NO_MATCHING_FORMULAR_FOUND2` Es konnte kein Formular zu den angegebenen Daten gefunden werden.
    `static int` | `NO_VERTRAG_FOR_KVT` Es liegt kein gültiges Vertragsverhältnis vor, das eine Erfassung zum gewählten bzw. ermittelten KV-Träger erlaubt.
    `static int` | `SUCHKRITERIEN_NO_MATCHING_FORMULARE_FOUND` Es konnten keine den Suchkriterien entsprechenden Formulare gefunden werden.
    `static int` | `SV_NUMMER_INVALID` Die SV-Nummer ist im e-card System nicht bekannt.
    `static int` | `TREATMENT_DATE_TO_OLD` Das Behandlungsdatum liegt zu weit in der Vergangenheit.
    `static int` | `VERORDNUNGSTYP_INVALID` Der Wert in Verordnungstyp ist ungültig.
    `static int` | `VERORDNUNGSTYP_MISSING_RIGHT` Der Wert in Verordnungstyp ist ungültig.
    `static int` | `VERORDNUNGSTYP_REQUIRED` Verordnungstyp ist ein Pflichtfeld.
    `static int` | `VPNR_WITH_FACHGEBIET_WITH_FORMULARTYP_INVALID` Das Fachgebiet ist nicht berechtigt zur Erfassung des gewünschten Formulars.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FusExceptionConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SV_NUMMER_INVALID

          public static final int SV_NUMMER_INVALID

      Die SV-Nummer ist im e-card System nicht bekannt.
      ORCLI-Code: ZS-3000001
      See Also:
        Constant Field Values

    - #### NO_KONSULTATION_FOUND

          public static final int NO_KONSULTATION_FOUND

      Es konnte keine für das Formular passende Konsultation ermittelt werden.
      ORCLI-Code: ZS-3000002
      See Also:
        Constant Field Values

    - #### SUCHKRITERIEN_NO_MATCHING_FORMULARE_FOUND

          public static final int SUCHKRITERIEN_NO_MATCHING_FORMULARE_FOUND

      Es konnten keine den Suchkriterien entsprechenden Formulare gefunden werden.
      ORCLI-Code: ZS-3000003
      See Also:
        Constant Field Values

    - #### MAX_RESULTS_EXCEEDED

          public static final int MAX_RESULTS_EXCEEDED

      Die Anzahl an gefundenen Formularen übersteigt die maximal zulässige Anzahl an Suchergebnissen.
      ORCLI-Code: ZS-3000008
      See Also:
        Constant Field Values

    - #### NO_MATCHING_FORMULAR_FOUND

          public static final int NO_MATCHING_FORMULAR_FOUND

      Es konnte kein Formular zu den angegebenen Daten gefunden werden.
      ORCLI-Code: ZS-3000009
      See Also:
        Constant Field Values

    - #### NO_MATCHING_FORMULAR_FOUND1

          public static final int NO_MATCHING_FORMULAR_FOUND1

      Es konnte kein Formular zu den angegebenen Daten gefunden werden.
      ORCLI-Code: ZS-3000015
      See Also:
        Constant Field Values

    - #### NO_MATCHING_FORMULAR_FOUND2

          public static final int NO_MATCHING_FORMULAR_FOUND2

      Es konnte kein Formular zu den angegebenen Daten gefunden werden.
      ORCLI-Code: ZS-3000016
      See Also:
        Constant Field Values

    - #### KONSULTATION_INVALID

          public static final int KONSULTATION_INVALID

      Die angegebene Konsultation ist nicht (mehr) gültig.
      ORCLI-Code: ZS-3000010
      See Also:
        Constant Field Values

    - #### FORMULAR_KORREKTUR_SAVING_FAILED

          public static final int FORMULAR_KORREKTUR_SAVING_FAILED

      Das Formular konnte nicht gespeichert werden.
      ORCLI-Code: ZS-3000011
      See Also:
        Constant Field Values

    - #### FORMULAR_KORREKTUR_NO_LONGER_POSSIBLE

          public static final int FORMULAR_KORREKTUR_NO_LONGER_POSSIBLE

      Eine Korrektur des Formulars ist derzeit nicht möglich bzw. nicht mehr möglich.
      ORCLI-Code: ZS-3000012
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      Es ist ein unerwarteter Fehler aufgetreten.
      ORCLI-Code: CL-S0012
      See Also:
        Constant Field Values

    - #### FORMULAR_SAVE_OR_READ_FAILED

          public static final int FORMULAR_SAVE_OR_READ_FAILED

      Das Formular konnte nicht gespeichert/gelesen werden.
      ORCLI-Code: ZS-3000004, ZS-3000005, ZS-3000006, ZS-3000007
      See Also:
        Constant Field Values

    - #### FORMULAR_SAVING_FAILED

          public static final int FORMULAR_SAVING_FAILED

      Das Formular konnte nicht gespeichert werden.
      ORCLI-Code: ZS-3000013, ZS-3000014
      See Also:
        Constant Field Values

    - #### KVT_INVALID

          public static final int KVT_INVALID

      Der angegebene KV-Träger unterstützt keine Erfassung von Formularen durch Wahlbehandler.
      ORCLI-Code: ZS-3000030
      See Also:
        Constant Field Values

    - #### NO_ANSPRUCH_FOUND

          public static final int NO_ANSPRUCH_FOUND

      Der Patient hat keinen im e-card System bekannten Versicherungsanspruch. Eine Formularerfassung ist nicht möglich.
      ORCLI-Code: ZS-3000031
      See Also:
        Constant Field Values

    - #### KURATIVER_VERTRAG_FOUND_FOR_VPNR

          public static final int KURATIVER_VERTRAG_FOUND_FOR_VPNR

      Sie besitzen für das gewählte Formular passende kurative Zahnbehandler-Verträge. Die Erfassung als Wahlbehandler ist nicht zulässig.
      ORCLI-Code: ZS-3000032
      See Also:
        Constant Field Values

    - #### VPNR_WITH_FACHGEBIET_WITH_FORMULARTYP_INVALID

          public static final int VPNR_WITH_FACHGEBIET_WITH_FORMULARTYP_INVALID

      Das Fachgebiet ist nicht berechtigt zur Erfassung des gewünschten Formulars.
      ORCLI-Code: ZS-3000033
      See Also:
        Constant Field Values

    - #### TREATMENT_DATE_TO_OLD

          public static final int TREATMENT_DATE_TO_OLD

      Das Behandlungsdatum liegt zu weit in der Vergangenheit.
      ORCLI-Code: ZS-3000034
      See Also:
        Constant Field Values

    - #### KORREKTUR_MISSING_PROPER_RIGHT

          public static final int KORREKTUR_MISSING_PROPER_RIGHT

      Sie haben keine Berechtigung zur Korrektur dieses Formulars.
      ORCLI-Code: ZS-3000101
      See Also:
        Constant Field Values

    - #### VERORDNUNGSTYP_REQUIRED

          public static final int VERORDNUNGSTYP_REQUIRED

      Verordnungstyp ist ein Pflichtfeld.
      ORCLI-Code: ZS-3090161
      See Also:
        Constant Field Values

    - #### VERORDNUNGSTYP_INVALID

          public static final int VERORDNUNGSTYP_INVALID

      Der Wert in Verordnungstyp ist ungültig.
      ORCLI-Code: ZS-3090164
      See Also:
        Constant Field Values

    - #### VERORDNUNGSTYP_MISSING_RIGHT

          public static final int VERORDNUNGSTYP_MISSING_RIGHT

      Der Wert in Verordnungstyp ist ungültig. (Sie besitzen keine Berechtigung zur Erfassung eines Verordnungsformulars mit diesem Verordnungstyp.)
      ORCLI-Code: ZS-3090165
      See Also:
        Constant Field Values

    - #### NO_VERTRAG_FOR_KVT

          public static final int NO_VERTRAG_FOR_KVT

      Es liegt kein gültiges Vertragsverhältnis vor, das eine Erfassung zum gewählten bzw. ermittelten KV-Träger erlaubt.
      ORCLI-Code: ZS-3000103
      See Also:
        Constant Field Values

    - #### NO_ANSPRUCH_FOR_VERORDNUNGSTYP

          public static final int NO_ANSPRUCH_FOR_VERORDNUNGSTYP

      Der Patient hat keinen für den Verordnungstyp relevanten KV-Anspruch.
      ORCLI-Code: ZS-3000102
      See Also:
        Constant Field Values

    - #### FORMULARSTATUS_INVALID

          public static final int FORMULARSTATUS_INVALID

      Der Wert in Formularstatus ist ungültig.
      ORCLI-Code: ZS-3090204
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FusExceptionConstants

          public FusExceptionConstants()